Issue 54343

Summary: REQUEST: Open Document viewer plugin for web browser
Product: xml Reporter: gimpy <netman1>
Component: external filtersAssignee: requirements <requirements>
Status: CLOSED DUPLICATE QA Contact: issues@xml <issues>
Severity: Trivial    
Priority: P3 CC: flibby05, issues, mnagashree
Version: OOo 2.0Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description gimpy 2005-09-08 04:27:03 UTC
A browser plugin for Firefox and Internet Explorer should be created to enable
the viewing of OASIS Open Document files (.odt, .ods, .odp).

This would go far to establish the universal acceptance of the OASIS formats. 
Microsoft used a similar tactic to with its free viewers for Word, Excel and
PowerPoint formats.  As a result of the establishment of these formats, MS
Office formats are the de facto standard world-wide.

While the ability to handle MSO files correctly is important for any office
suite it should be viewed as a transitory step towards a universal open
standard. The viewer should display a link to the OpenOffice.org download page.

There is the argument that documents can be converted to pdf for universal
viewing but that is a dead end as far as getting OASIS formats widely accepted.
 If the OASIS standard is utilized widely and other events force the issue (i.e.
the US state of Masachusetts requiring OASIS formats) then the path will be open
for Office suites that utilize the OASIS formats can become widespread and more
easily accepted as alternatives to MS Office.

I feel the importance of this plugin cannot be overstated and should be
available as close to the release of OOo 2.0 as possible.  IF a browser plugin
is problematic then my second choice would be for a standalone unified viewer
for .odt, .ods, and .odp formats.

Jim
Comment 1 flibby05 2005-09-09 08:03:54 UTC
isn't there a browser-plugin for windows already available?
Comment 2 gimpy 2005-09-09 15:11:41 UTC
That plugin is for Mozilla only and requires OOo 2.0 to be installed.  My issue
refers to a browser plugin that does not require a copy of 2.0.  Perhaps plugin
is the wrong term as it would be more of a read-only viewer component that uses
the browser functionality to display Open Document formats.  The
converter/viewer would need to incorporate unzip and formatting for the
documents I would assume.  The viewer would have a version for IE because that
is still the predominent browser in Windows.  There would also be a Firefox
version and probably should have a Safari version for Mac.  

The purpose of the converter/viewer is to introduce the Open Document formats to
a wider base: users who do not have OOo installed but receive Open Doc formatted
files.  Should these users install OOo?  Yes, but they may not be able to or may
be initially reticent to install a new office suite or may simply be unaware of
Open Doc/Open Office.  The viewer would allow OOo users to send a native file
format with confidence that the file file can be opened at the other end,
similar to someone who send an Adobe Acrobat pdf to someone who does not have
Adobe Acrobat installed... but will have the reader.  Granted OOo is free, but
as I mentioned there may be other reasons why OOo is not installed on the
receiving computer. A link to the OOo download page will at least help those who
are simply unaware of OOo to obtain and install a copy.
Comment 3 jogi 2005-09-12 07:34:09 UTC
-> RFE
Comment 4 jogi 2005-09-12 07:35:26 UTC
assigning to 'requirements'
Comment 5 eric_openoffice 2006-03-25 23:08:09 UTC
Issue is a duplicate of Issue 8483.

There are two votes on this Issue.

Please vote again for 8483.

*** This issue has been marked as a duplicate of 8483 ***
Comment 6 ace_dent 2008-05-17 20:56:58 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 7 ace_dent 2008-05-17 22:57:48 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew